# PageQuestion Class Reference

Page d'administration des questions. More...

Inheritance diagram for PageQuestion:

List of all members.

## Public Member Functions

| PageQuestion ()
| Place les elements sur la page.
void | onOpened ()
| Vide les champs et actualise les listes des catégories.
void | onListSelection ()
| Met à jour les champs & listes de droite.
void | modify ()
void | remove ()
void | add ()
void | updateBrowseGroup ()
void | updateBrowseList ()
| Met à jour la liste principale (panneau de gauche).
void | updateEntryGroup ()
void | updateEntryAnsList ()
| Met à jour la liste réponses du panneau de droite.
void | actionPerformed (ActionEvent e)

## Detailed Description

Page d'administration des questions.

## Constructor & Destructor Documentation

PageQuestion.PageQuestion | ( |  | ) |

Place les elements sur la page.

## Member Function Documentation

void PageQuestion.actionPerformed | ( | ActionEvent | e | ) |

void PageQuestion.add | ( |  | ) |

void PageQuestion.modify | ( |  | ) |

void PageQuestion.onListSelection | ( |  | ) |

Met à jour les champs & listes de droite.

void PageQuestion.onOpened | ( |  | ) |

Vide les champs et actualise les listes des catégories.

void PageQuestion.remove | ( |  | ) |

void PageQuestion.updateBrowseGroup | ( |  | ) |

Met à jour la liste des groupes du panneau de gauche

Warning:
  execute updateBrowseList()

void PageQuestion.updateBrowseList | ( |  | ) |

Met à jour la liste principale (panneau de gauche).

void PageQuestion.updateEntryAnsList | ( |  | ) |

Met à jour la liste réponses du panneau de droite.

void PageQuestion.updateEntryGroup | ( |  | ) |

Met à jour la liste des groupes du panneau de droite

Warning:
  execute updateEntryAnsList()

The documentation for this class was generated from the following file:

- /media/data/ProjWeb/Java/PageQuestion.java